package com.qmth.sop.business.bean.result;

import com.qmth.sop.business.bean.dto.UserArchivesDto;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 项目派单信息
 * @Author: CaoZixuan
 * @Date: 2023-08-31
 */
public class CrmProjectResult {
    @ApiModelProperty("项目单号")
    private String crmNo;

    @ApiModelProperty("项目名称")
    private String crmName;

    @ApiModelProperty("派单时间")
    private Long crmBeginTime;

    @ApiModelProperty("客户经理")
    private String crmUserName;

    @ApiModelProperty("客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty("客户名称")
    private String customName;

    @ApiModelProperty("考试开始时间")
    private Long examStartTime;

    @ApiModelProperty("考试开始时间")
    private Long examEndTime;

    @ApiModelProperty("实施产品")
    private String productName;

    @ApiModelProperty("服务单元")
    private String serviceUnitName;

    @ApiModelProperty("区域负责人名称")
    private String regionCoordinatorName;

    @ApiModelProperty("实施工程师集合")
    private List<UserArchivesDto> effectEngineerList;

    @ApiModelProperty("助理工程师集合")
    private List<UserArchivesDto> assistantEngineerList;

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getCrmName() {
        return crmName;
    }

    public void setCrmName(String crmName) {
        this.crmName = crmName;
    }

    public Long getCrmBeginTime() {
        return crmBeginTime;
    }

    public void setCrmBeginTime(Long crmBeginTime) {
        this.crmBeginTime = crmBeginTime;
    }

    public String getCrmUserName() {
        return crmUserName;
    }

    public void setCrmUserName(String crmUserName) {
        this.crmUserName = crmUserName;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public String getRegionCoordinatorName() {
        return regionCoordinatorName;
    }

    public void setRegionCoordinatorName(String regionCoordinatorName) {
        this.regionCoordinatorName = regionCoordinatorName;
    }

    public List<UserArchivesDto> getEffectEngineerList() {
        return effectEngineerList;
    }

    public void setEffectEngineerList(List<UserArchivesDto> effectEngineerList) {
        this.effectEngineerList = effectEngineerList;
    }

    public List<UserArchivesDto> getAssistantEngineerList() {
        return assistantEngineerList;
    }

    public void setAssistantEngineerList(List<UserArchivesDto> assistantEngineerList) {
        this.assistantEngineerList = assistantEngineerList;
    }
}
