package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.*;
import com.qmth.sop.business.entity.TBDing;
import com.qmth.sop.common.enums.DingResultEnum;
import com.qmth.sop.common.enums.InOutTypeEnum;

import java.util.List;
import java.util.Map;

/**
 * 考勤打卡表 服务类
 *
 * @author: shudonghui
 * @date: 2023-08-10 14:23:08
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface TBDingService extends IService<TBDing> {
    // -- 考勤打卡部分
    Object findDingElements();

    /**
     * 考勤结果统计
     *
     * @param serviceUnitId  服务单元id
     * @param sopNo          sop单号
     * @param userArchivesId 档案id
     * @return 考勤结果统计
     */
    DingStatisticResult findDingStatistic(Long serviceUnitId, String sopNo, Long userArchivesId);


    /**
     * 查询列表
     *
     * @param iPage
     * @return
     */
    IPage<TBDingCountQueryResult> query(IPage<Map> iPage, Long serviceId, String status, Long createId, String userName, Long supplierId, String custom, String sopNo, Long days);

    List<TBDingCountQueryResult> query(Long serviceId, String status, Long createId, String userName, Long supplierId, String custom, String sopNo, Long days);

    TBDingCountResult count(Long serviceId, Long createId, String userName, Long supplierId, String custom, String sopNo);

    IPage<TBDingAttendanceResult> attendanceQuery(IPage<Map> iPage, Long serviceId, String userName, Long startTime, Long endTime, Long supplierId, String custom, String sopNo, InOutTypeEnum type, DingResultEnum status);

    TBDingAttendanceCountResult attendanceCount(Long serviceId, String userName, Long startTime, Long endTime, Long supplierId, String custom, String sopNo);

    List<TBDingAttendanceResult> attendanceQuery(Long serviceId, String userName, Long startTime, Long endTime, Long supplierId, String custom, String sopNo, InOutTypeEnum type, DingResultEnum status);
}