package com.qmth.sop.server.api;


import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.sop.business.bean.dto.UserDto;
import com.qmth.sop.business.entity.TDFormWidgetMetadata;
import com.qmth.sop.business.service.TDFormWidgetMetadataService;
import com.qmth.sop.common.contant.SystemConstant;
import com.qmth.sop.common.enums.TFCustomTypeEnum;
import com.qmth.sop.common.util.Result;
import com.qmth.sop.common.util.ResultUtil;
import io.swagger.annotations.*;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * sop表 前端控制器
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */
@Api(tags = "sop管理Controller")
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + SystemConstant.PREFIX_URL_SOP)
public class TBSopInfoController {

    @Resource
    TDFormWidgetMetadataService tdFormWidgetMetadataService;

    @ApiOperation(value = "sop元数据查询")
    @RequestMapping(value = "/metadata/list", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "返回信息", response = TDFormWidgetMetadata.class)})
    public Result list(@ApiParam(value = "sop流程类型", required = true) @RequestParam TFCustomTypeEnum type,
                       @ApiParam(value = "sop流程版本") @RequestParam(required = false) Integer version) {
        return ResultUtil.ok(tdFormWidgetMetadataService.selectAll(type, version));
    }

    @ApiOperation(value = "sop元数据修改")
    @RequestMapping(value = "/metadata/save", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "返回信息", response = UserDto.class)})
    public Result list(@Valid @ApiParam(value = "元数据保存信息", required = true) @RequestBody List<TDFormWidgetMetadata> tdFormWidgetMetadataList, BindingResult bindingResult) {
        return ResultUtil.ok(tdFormWidgetMetadataService.save(tdFormWidgetMetadataList));
    }
}
